﻿@using Portal.Models.Master;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.Credential;
@using Toyota.Common.Web.MVC;
@using Portal.Models.Delivery.Master;

@{
    var grid = Html.DevExpress().GridView(
        setting =>
        {
            setting.Name = "GridDeliveryRoutePrice";
            //setting.KeyFieldName = "CHILD_ROUTE; PARENT_ROUTE; LP_CD; VALID_FROM; VALID_TO; APPROVED_BY; APPROVED_DT";
            //setting.KeyFieldName = "CHILD_ROUTE";
            setting.KeyFieldName = "DATA_KEY";
            setting.CallbackRouteValues = new { Controller = "D61002", Action = "PartialListData" };
            //setting.SettingsEditing.UpdateRowRouteValues = new { Controller = "D61002", Action = "UpdatePartial" };
            setting.ClientSideEvents.BeginCallback = "OnBeginCallbackGrid";
            setting.ClientSideEvents.EndCallback = "OnEndCallbackGrid";
            //setting.ClientSideEvents.Init = "GridDeliveryRoutePrice_Init";
            setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
            setting.Width = Unit.Percentage(100);
                    
            setting.Settings.ShowFilterRow = false;
            setting.Settings.ShowFilterRowMenu = false;
            setting.Settings.ShowColumnHeaders = true;

            setting.SettingsBehavior.AllowSelectByRowClick = true;

            setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
            //setting.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;


                    
            setting.CommandColumn.ShowSelectCheckbox = true;
            setting.CommandColumn.Visible = true;
            setting.CommandColumn.Width = Unit.Pixel(30);

            setting.SettingsPager.PageSizeItemSettings.Visible = true;
            setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
            setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";
            setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
            setting.SettingsPager.FirstPageButton.Visible = true;
            setting.SettingsPager.LastPageButton.Visible = true;

            setting.SettingsEditing.Mode = GridViewEditingMode.EditFormAndDisplayRow;

            setting.Columns.Add(col =>
            {
                col.Caption = "Child <br>Route";
                col.Name = "CHILD_ROUTE";
                col.FieldName = "CHILD_ROUTE";
                col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                col.Width = Unit.Pixel(60);
                col.ColumnType = MVCxGridViewColumnType.ComboBox;
                

                
            });

            setting.Columns.Add(col =>
            {
                col.Caption = "Parent <br> Route";
                col.Name = "PARENT_ROUTE";
                col.FieldName = "PARENT_ROUTE";
                col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                col.Width = Unit.Pixel(60);
                col.ColumnType = MVCxGridViewColumnType.ComboBox;
                        
            });

            setting.Columns.Add(col =>
            {
                col.Caption = "Parent <br>Route Price";
                col.Name = "PARENT_ROUTE_PRICE";
                col.FieldName = "PARENT_ROUTE_PRICE";
                col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                col.Width = Unit.Pixel(90);
                col.PropertiesEdit.DisplayFormatString = "#,##0";
                col.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                col.CellStyle.HorizontalAlign = HorizontalAlign.Right;
                col.CellStyle.VerticalAlign = VerticalAlign.Middle;
                col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
            });
                    
                    
            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Trucking";
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Code";
                            column.Name = "LP_CD";
                            column.FieldName = "LP_CD";
                            column.Width = Unit.Pixel(50);
                            column.ColumnType = MVCxGridViewColumnType.TextBox;
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            });
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Name";
                            column.Name = "LP_NAME";
                            column.FieldName = "LP_NAME";
                            column.Width = Unit.Pixel(211);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            });
                });


            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Proposed";
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "By";
                            column.Name = "PROPOSED_BY";
                            column.FieldName = "PROPOSED_BY";
                            column.Width = Unit.Pixel(90);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        }
                        );

                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Date";
                            column.Name = "PROPOSED_DT";
                            column.FieldName = "PROPOSED_DT";
                            column.Width = Unit.Pixel(120);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.ColumnType = MVCxGridViewColumnType.DateEdit;
                            column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH:mm";
                        }
                        );

                }
                );

            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Approved";
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "By";
                            column.Name = "APPROVED_BY";
                            column.FieldName = "APPROVED_BY";
                            column.Width = Unit.Pixel(90);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        });

                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Date";
                            column.Name = "APPROVED_DT";
                            column.FieldName = "APPROVED_DT";
                            column.Width = Unit.Pixel(120);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.ColumnType = MVCxGridViewColumnType.DateEdit;
                            column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH:mm";
                        });

                });


            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Valid";
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "From";
                            column.Name = "VALID_FROM";
                            column.FieldName = "VALID_FROM";
                            column.Width = Unit.Pixel(90);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.ColumnType = MVCxGridViewColumnType.DateEdit;
                            column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                        });

                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "To";
                            column.Name = "VALID_TO";
                            column.FieldName = "VALID_TO";
                            column.Width = Unit.Pixel(90);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.ColumnType = MVCxGridViewColumnType.DateEdit;
                            column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                        });

                });
                        
            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Created";
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "By";
                            column.Name = "CREATED_BY";
                            column.FieldName = "CREATED_BY";
                            column.Width = Unit.Pixel(90);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        });

                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Date";
                            column.Name = "CREATED_DT";
                            column.FieldName = "CREATED_DT";
                            column.Width = Unit.Pixel(120);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.ColumnType = MVCxGridViewColumnType.DateEdit;
                            column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH:mm";
                        });

                });


            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Changed";
                    //columnBand.Visible = false;
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "By";
                            column.Name = "CHANGED_BY";
                            column.FieldName = "CHANGED_BY";
                            column.Width = Unit.Pixel(100);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                    
                        });

                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Date";
                            column.Name = "CHANGED_DT";
                            column.FieldName = "CHANGED_DT";
                            column.Width = Unit.Pixel(120);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.ColumnType = MVCxGridViewColumnType.DateEdit;
                            column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH:mm";
                        });

                });


            //setting.CustomJSProperties = (s, e) =>
            //{
            //    MVCxGridView grid = (MVCxGridView)s;
            //    int startIndex = grid.PageIndex * grid.SettingsPager.PageSize;
            //    int end = Math.Min(grid.VisibleRowCount, startIndex + grid.SettingsPager.PageSize);
            //    //--=== List object
            //    object[] CHILD_ROUTE = new object[end - startIndex];
                        
            //    for (int n = startIndex; n < end; n++)
            //    {
            //        CHILD_ROUTE[n - startIndex] = grid.GetRowValues(n, "CHILD_ROUTE");
            //    }


            //    e.Properties["cpCHILD_ROUTE"] = CHILD_ROUTE;

            //    //e.Properties["cpVisibleRow"] = grid.VisibleRowCount;
            //    //e.Properties["cpKeyField"] = grid.KeyFieldName;

            //    grid.JSProperties["cpStart"] = startIndex;
            //    grid.JSProperties["cpEnd"] = end;
            //    grid.JSProperties["cpPageSize"] = grid.SettingsPager.PageSize;
            //};
                    
            setting.SetEditFormTemplateContent(c =>
                {
                    var data = c.DataItem;
                    var mode = (string)DataBinder.Eval(data, "CHILD_ROUTE");
                            
                           

                    ViewContext.Writer.Write(
                    "<div class=\"edit_form\" style='background-color:#DEECFD;'>" +
                    "<table border = '0' style='margin-left: 40px; '>" +
                    "<tr><td colspan='5' style='heigth:10px;'></td></tr>"+
                    "<tr><td style='width:85px;'>"
                    );

                    Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Child Route";
                        label.Name = "lblEditChildRoute";
                        label.AssociatedControlName = "CHILD_ROUTE";
                    }).Render();

                    ViewContext.Writer.Write(
                    "</td><td>"
                    );


                    if(mode == null)
                    {
                    Html.Common().DevExpress().GridLookup(
                        s =>
                        {
                            s.Name = "EditChildRoute";
                            s.Width = Unit.Pixel(140);
                            s.GridProperties.Name = "grlEditChildRouteGrid";
                            s.GridProperties.KeyFieldName = "ROUTE_CD";
                            s.GridProperties.Style.Add("padding-right", "10px");
                            s.GridProperties.Style.Add("padding-left", "10px");
                            s.GridProperties.CallbackRouteValues = new { Controller = "D61002", Action = "EditChildRouteLookup" };
                            s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                            //s.GridProperties.Height = 101;
                            s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            s.ReadOnly = true;
                            s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                            //s.GridProperties.Settings.VerticalScrollableHeight = 101;

                            s.GridProperties.Columns.Add(
                                col =>
                                {
                                    col.Name = "ROUTE_CD";
                                    col.FieldName = "ROUTE_CD";
                                    col.Caption = "Code";
                                    col.Width = Unit.Pixel(80);
                                                
                                    col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });
                            s.GridProperties.Columns.Add(
                                col =>
                                {
                                    col.Name = "ROUTE_NAME";
                                    col.FieldName = "ROUTE_NAME";
                                    col.Caption = "Name";
                                });
                        }).Bind(ViewData["EditChildRouteLookup"]).Render();
                                
                    }
                    else
                    {

                        Html.DevExpress().TextBox(
                        txt =>
                        {
                            txt.ControlStyle.CssClass = "Textbox";
                            txt.Name = "EditChildRoute";
                            txt.ClientEnabled = false;
                            txt.Width = Unit.Pixel(140);
                            //txt.Properties.Style.ForeColor = System.Drawing.Color.Black;
                        }).Bind(DataBinder.Eval(data, "CHILD_ROUTE")).Render();
                    }

                    ViewContext.Writer.Write(
                    "</td><td>"
                    );
                    
                    ViewContext.Writer.Write(
                    "</td><td style='width:65px;'>"
                    );
                    
                    Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Trucking";
                        label.Name = "lblEditTruck";
                        label.AssociatedControlName = "LP_CD";
                    }).Render();

                    ViewContext.Writer.Write(
                    "</td><td>"
                    );

                    if (mode == null)
                    {

                        Html.Common().DevExpress().GridLookup(
                        s =>
                        {
                            s.Name = "EditLP";
                            s.Width = Unit.Pixel(140);
                            s.GridProperties.Name = "grlEditLPGrid";
                            s.GridProperties.KeyFieldName = "LP_CD";
                            s.GridProperties.Style.Add("padding-right", "10px");
                            s.GridProperties.Style.Add("padding-left", "10px");
                            s.GridProperties.CallbackRouteValues = new { Controller = "D61002", Action = "LogisticPartnerLookup" };
                            s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(360);
                            //s.GridProperties.Height = 105;
                            s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            s.ReadOnly = true;
                            s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                            //s.GridProperties.Settings.VerticalScrollableHeight = 105;
                            s.GridProperties.Columns.Add(
                                col =>
                                {
                                    col.Name = "LP_CD";
                                    col.FieldName = "LP_CD";
                                    col.Caption = "Code";
                                    col.Width = Unit.Pixel(80);
                                    col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });
                            s.GridProperties.Columns.Add(
                                col =>
                                {
                                    col.Name = "LP_NAME";
                                    col.FieldName = "LP_NAME";
                                    col.Caption = "Name";
                                });

                            s.GridProperties.ClientSideEvents.Init = @"
                            function OnInit(s, e) {
                                GridEditLP.SetHeight(-100);
                            }";

                        }).Bind(ViewData["LogisticPartnerLookup"]).Render();
                        //}).Bind(DataBinder.Eval(data, "LP_CD")).Render();
                    }
                    else
                    {
                        Html.Common().DevExpress().GridLookup(
                        s =>
                        {
                            s.Name = "EditLP";
                            s.Width = Unit.Pixel(140);
                            s.GridProperties.Name = "grlEditLPGrid";
                            s.GridProperties.KeyFieldName = "LP_CD";
                            s.GridProperties.Style.Add("padding-right", "10px");
                            s.GridProperties.Style.Add("padding-left", "10px");
                            s.GridProperties.CallbackRouteValues = new { Controller = "D61002", Action = "LogisticPartnerLookup" };
                            s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(360);
                            //s.GridProperties.Height = 105;
                            s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            s.ReadOnly = true;
                            s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                            //s.GridProperties.Settings.VerticalScrollableHeight = 105;

                            s.Text = (string)DataBinder.Eval(data, "LP_CD");



                            s.GridProperties.Columns.Add(
                                col =>
                                {
                                    col.Name = "LP_CD";
                                    col.FieldName = "LP_CD";
                                    col.Caption = "Code";
                                    col.Width = Unit.Pixel(80);
                                    col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });
                            s.GridProperties.Columns.Add(
                                col =>
                                {
                                    col.Name = "LP_NAME";
                                    col.FieldName = "LP_NAME";
                                    col.Caption = "Name";
                                });

                            s.GridProperties.ClientSideEvents.Init = @"
                            function OnInit(s, e) {
                                GridEditLP.SetHeight(-100);
                            }";

                        }).Bind(ViewData["LogisticPartnerLookup"]).Render();

                        //}).Bind(DataBinder.Eval(data, "LP_CD")).Render();

                        //Html.DevExpress().TextBox(
                        //txt =>
                        //{
                        //    txt.ControlStyle.CssClass = "Textbox";
                        //    txt.Name = "EditLP";
                        //    txt.ClientEnabled = false;
                        //    txt.Width = Unit.Pixel(140);
                        //    txt.Properties.Style.ForeColor = System.Drawing.Color.Black;
                        //}).Bind(DataBinder.Eval(data, "LP_CD")).Render();
                    }
                    
                    
                    ViewContext.Writer.Write(
                    "</td></tr><tr><td colspan='5' style='heigth:5px;'></td></tr>" +
                    "<tr><td style='width:90px;'>"
                    );

                    Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Parent Route";
                        label.Name = "lblEditParentRoute";
                        label.AssociatedControlName = "PARENT_ROUTE";
                    }).Render();

                    ViewContext.Writer.Write(
                    "</td><td>"
                    );

                    if(mode == null)
                    {
                    Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "EditParentRoute";
                                s.Width = Unit.Pixel(140);
                                s.GridProperties.Name = "grlEditParentRouteGrid";
                                s.GridProperties.KeyFieldName = "ROUTE_CD";
                                s.GridProperties.Style.Add("padding-right", "10px");
                                s.GridProperties.Style.Add("padding-left", "10px");
                                s.GridProperties.CallbackRouteValues = new { Controller = "D61002", Action = "EditParentRouteLookup" };
                                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                                //s.GridProperties.Height = 101;
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                                s.ReadOnly = true;
                                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                                //s.GridProperties.Settings.VerticalScrollableHeight = 101;

                                s.GridProperties.Columns.Add(
                                    col =>
                                    {
                                        col.Name = "ROUTE_CD";
                                        col.FieldName = "ROUTE_CD";
                                        col.Caption = "Code";
                                        col.Width = Unit.Pixel(80);
                                        col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                    });
                                s.GridProperties.Columns.Add(
                                    col =>
                                    {
                                        col.Name = "ROUTE_NAME";
                                        col.FieldName = "ROUTE_NAME";
                                        col.Caption = "Name";
                                    });
                            }
                        ).Bind(ViewData["EditParentRouteLookup"]).Render();
                    }
                    else
                    {
                                
                        Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "EditParentRoute";
                                s.Width = Unit.Pixel(140);
                                s.GridProperties.Name = "grlEditParentRouteGrid";
                                s.GridProperties.KeyFieldName = "ROUTE_CD";
                                s.GridProperties.Style.Add("padding-right", "10px");
                                s.GridProperties.Style.Add("padding-left", "10px");
                                s.GridProperties.CallbackRouteValues = new { Controller = "D61002", Action = "EditParentRouteLookup" };
                                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                                //s.GridProperties.Height = 101;
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                                s.ReadOnly = true;
                                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                                //s.GridProperties.Settings.VerticalScrollableHeight = 101;

                                s.Text = (string)DataBinder.Eval(data, "PARENT_ROUTE");
                                        
                                s.GridProperties.Columns.Add(
                                    col =>
                                    {
                                        col.Name = "ROUTE_CD";
                                        col.FieldName = "ROUTE_CD";
                                        col.Caption = "Code";
                                        col.Width = Unit.Pixel(80);
                                        col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                    });
                                s.GridProperties.Columns.Add(
                                    col =>
                                    {
                                        col.Name = "ROUTE_NAME";
                                        col.FieldName = "ROUTE_NAME";
                                        col.Caption = "Name";
                                    });
                            }
                        ).Bind(ViewData["EditParentRouteLookup"]).Render();
                        //Html.DevExpress().TextBox(
                        //txt =>
                        //{
                        //    txt.ControlStyle.CssClass = "Textbox";
                        //    txt.Name = "EditParentRoute";
                        //    txt.ClientEnabled = false;
                        //    txt.Width = Unit.Pixel(140);
                        //    txt.Properties.Style.ForeColor = System.Drawing.Color.Black;
                        //}).Bind(DataBinder.Eval(data, "PARENT_ROUTE")).Render();
                    }

                    ViewContext.Writer.Write(
                    "</td><td>"
                    );

                    ViewContext.Writer.Write(
                    "</td><td>"
                    );
                    
                    Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Valid From";
                        label.Name = "lblEditValidFrom";
                        label.AssociatedControlName = "VALID_FROM";
                    }).Render();

                    ViewContext.Writer.Write(
                    "</td><td>"
                    );

                    //Html.DevExpress().DateEdit(
                    //settings =>
                    //{
                    //    settings.Name = "txtEditValidFrom";
                    //    settings.Properties.MaxLength = 10;
                    //    //settings.ReadOnly = true;
                    //    settings.Properties.AllowUserInput = false;
                    //    //settings.Properties.NullText = "<dd.MM.yyyy>";
                    //    settings.Properties.EditFormat = EditFormat.Custom;
                    //    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    //    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    //    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    //    //settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                    //    settings.Width = 100;
                    //}).Render();

                    if (mode == null)
                    {
                        Html.DevExpress().TextBox(
                        txt =>
                        {
                            txt.Name = "txtEditValidFrom";
                            txt.Properties.EnableClientSideAPI = true;
                            txt.Text = ViewBag.FromDate;
                            txt.Width = 140;
                            //txt.Attributes.CssStyle.Add("background-color", "#F78181");
                            //SetText.Style.Add("background-color","#F78181");
                            txt.Properties.ClientSideEvents.Init = @"
                            function OnInit(s, e) {
                                $('#txtEditValidFrom_I').monthpicker({
                                    startYear: new Date().getFullYear() - 4,
                                    finalYear: new Date().getFullYear() + 4,
                                    pattern: 'mmm yyyy',
                                    monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
                                });

                                $('#txtEditValidFrom_I').bind('onchange',function(e){
                                    alert('input change');
                                });                        
                            }";

                        }).Render();
                    }
                    else
                    {
                        Html.DevExpress().TextBox(
                        txt =>
                        {
                            txt.Name = "txtEditValidFrom";
                            txt.Properties.EnableClientSideAPI = true;
                            txt.Text = ViewBag.FromDate;
                            txt.Width = 140;
                            txt.ClientEnabled = false;
                            //txt.Attributes.CssStyle.Add("background-color", "#F78181");
                            //SetText.Style.Add("background-color","#F78181");
                            txt.Properties.ClientSideEvents.Init = @"
                            function OnInit(s, e) {
                                $('#txtEditValidFrom_I').monthpicker({
                                    startYear: new Date().getFullYear() - 4,
                                    finalYear: new Date().getFullYear() + 4,
                                    pattern: 'mmm yyyy',
                                    monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
                                });

                                $('#txtEditValidFrom_I').bind('onchange',function(e){
                                    alert('input change');
                                });                        
                            }";

                            //}).Render();
                        }).Bind(DataBinder.Eval(data, "VALID_FROM_DATE")).Render();
                    }


                    ViewContext.Writer.Write(
                    "</td></tr><tr><td colspan='5' style='heigth:10px;'></td></tr></table>" +
                    "<tr><td colspan='5' style='heigth:10px;'></td></tr>" +
                    "</div>"
                    );
                });
            });
            }
            @grid.Bind(Model.GetModel<DeliveryDraftRoutePriceModel>().DeliveryDraftRoutePriceListData).GetHtml()